dnl $Id$
dnl config.m4 for extension eseegwtools

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

PHP_ARG_WITH(eseegwtools, for eseegwtools support,
Make sure that the comment is aligned:
[  --with-eseegwtools             Include eseegwtools support])

dnl Otherwise use enable:

dnl PHP_ARG_ENABLE(eseegwtools, whether to enable eseegwtools support,
dnl Make sure that the comment is aligned:
dnl [  --enable-eseegwtools           Enable eseegwtools support])

if test "$PHP_ESEEGWTOOLS" != "no"; then
  dnl Write more examples of tests here...

  dnl # --with-eseegwtools -> check with-path
  dnl SEARCH_PATH="/usr/local /usr"     # you might want to change this
  dnl SEARCH_FOR="/include/eseegwtools.h"  # you most likely want to change this
  dnl if test -r $PHP_ESEEGWTOOLS/$SEARCH_FOR; then # path given as parameter
  dnl   ESEEGWTOOLS_DIR=$PHP_ESEEGWTOOLS
  dnl else # search default path list
  dnl   AC_MSG_CHECKING([for eseegwtools files in default path])
  dnl   for i in $SEARCH_PATH ; do
  dnl     if test -r $i/$SEARCH_FOR; then
  dnl       ESEEGWTOOLS_DIR=$i
  dnl       AC_MSG_RESULT(found in $i)
  dnl     fi
  dnl   done
  dnl fi
  dnl
  dnl if test -z "$ESEEGWTOOLS_DIR"; then
  dnl   AC_MSG_RESULT([not found])
  dnl   AC_MSG_ERROR([Please reinstall the eseegwtools distribution])
  dnl fi

  dnl # --with-eseegwtools -> add include path
  dnl PHP_ADD_INCLUDE($ESEEGWTOOLS_DIR/include)

  dnl # --with-eseegwtools -> check for lib and symbol presence
  dnl LIBNAME=eseegwtools # you may want to change this
  dnl LIBSYMBOL=eseegwtools # you most likely want to change this 

  dnl PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  dnl [
  dnl   PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $ESEEGWTOOLS_DIR/lib, ESEEGWTOOLS_SHARED_LIBADD)
  dnl   AC_DEFINE(HAVE_ESEEGWTOOLSLIB,1,[ ])
  dnl ],[
  dnl   AC_MSG_ERROR([wrong eseegwtools lib version or lib not found])
  dnl ],[
  dnl   -L$ESEEGWTOOLS_DIR/lib -lm -ldl
  dnl ])
  dnl
  PHP_EVAL_LIBLINE(-ldvrshm, ESEEGWTOOLS_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(dvrshm, /usr/lib/9an, ESEEGWTOOLS_SHARED_LIBADD)
  PHP_SUBST(ESEEGWTOOLS_SHARED_LIBADD)

  PHP_NEW_EXTENSION(eseegwtools, eseegwtools.c balance.c pcs.c, $ext_shared)
fi
