/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2006 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+
*/

/* $Id: header,v 1.16.2.1 2006/01/01 12:50:00 sniper Exp $ */

#ifndef PHP_ESEEGWTOOLS_H
#define PHP_ESEEGWTOOLS_H

extern zend_module_entry eseegwtools_module_entry;
#define phpext_eseegwtools_ptr &eseegwtools_module_entry

#ifdef PHP_WIN32
#define PHP_ESEEGWTOOLS_API __declspec(dllexport)
#else
#define PHP_ESEEGWTOOLS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(eseegwtools);
PHP_MSHUTDOWN_FUNCTION(eseegwtools);
PHP_RINIT_FUNCTION(eseegwtools);
PHP_RSHUTDOWN_FUNCTION(eseegwtools);
PHP_MINFO_FUNCTION(eseegwtools);

PHP_FUNCTION(confirm_eseegwtools_compiled);	/* For testing, remove later. */
PHP_FUNCTION(egts_query_uploadip); 
PHP_FUNCTION(egts_get_aroundcoor);
PHP_FUNCTION(egts_query_devstatus);
PHP_FUNCTION(egts_query_devfullinfo);
PHP_FUNCTION(egts_query_online_dev);
PHP_FUNCTION(egts_query_dev_list);
PHP_FUNCTION(egts_query_devtype);
PHP_FUNCTION(egts_set_devtype);
/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(eseegwtools)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(eseegwtools)
*/

/* In every utility function you add that needs to use variables 
   in php_eseegwtools_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as ESEEGWTOOLS_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define ESEEGWTOOLS_G(v) TSRMG(eseegwtools_globals_id, zend_eseegwtools_globals *, v)
#else
#define ESEEGWTOOLS_G(v) (eseegwtools_globals.v)
#endif

#endif	/* PHP_ESEEGWTOOLS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
